# PHP eBay API

Schnittstelle für eBay über PHP.

## Default Werte sind

```
    'SECURITY-APPNAME'     => '',
    'GLOBAL-ID'            => 'EBAY-DE',
    'OPERATION-NAME'       => 'findItemsAdvanced',
    'SERVICE-VERSION'      => '1.11.0',
    'REST-PAYLOAD'         => '',

    'affiliate.networkId'  => 9,
    'affiliate.trackingId' => '5336210971',
    'affiliate.customId'   => '5336210971'
```


## Verwendung

```php

<?php

$Ebay = new \PCSG\API\Ebay(array(
    'SECURITY-APPNAME' => 'APP_NAME'
));

$auctions = $Ebay->getItemsBySeller( 'ebay_seller_name' );

?>

```

Per setAttribute() oder während der Initialisierung können alle eBay Attribute gesetzt werden.

Zum Beispiel paginationInput.entriesPerPage = 10

```php

<?php

$Ebay = new \PCSG\API\Ebay(array(
    'SECURITY-APPNAME' => 'APP_NAME',
    'paginationInput.entriesPerPage' => 20,
    'keywords' => 'lenovo'
));

?>

```


```php

<?php

$Ebay = new \PCSG\API\Ebay(array(
    'SECURITY-APPNAME' => 'APP_NAME'
));

$Ebay->setAttribute( 'paginationInput.entriesPerPage', 20 );
$Ebay->setAttribute( 'keywords', 'lenovo' );

?>

```

### Ebay Search

```php

<?php

$Ebay = new \PCSG\API\Ebay(array(
    'SECURITY-APPNAME' => 'APP_NAME',
    'keywords'         => 'computer'
));

$result = $Ebay->search();


?>

```


### Advanced Ebay Search

```php

<?php

$Ebay = new \PCSG\API\Ebay(array(
    'SECURITY-APPNAME' => 'APP_NAME',
    'keywords'         => 'computer',

    'itemFilter(0).name'       => 'MaxPrice',
    'itemFilter(0).value'      => 25,
    'itemFilter(0).paramName'  => 'Currency',
    'itemFilter(0).paramValue' => 'USD',
    'itemFilter(1).name'       => 'FreeShippingOnly',
    'itemFilter(1).value'      => 'true',
    'itemFilter(2).name'       => 'ListingType',
    'itemFilter(2).value(0)'   => 'AuctionWithBIN',
    'itemFilter(2).value(1)'   => 'FixedPrice',
    'itemFilter(2).value(2)'   => 'StoreInventory',

    'paginationInput.entriesPerPage' => 2
));

$result = $Ebay->search();

?>

```

### Affiliate the new Way

```php

<?php

$Ebay = new \PCSG\API\Ebay(array(
    'SECURITY-APPNAME'     => 'APP_NAME',
    'affiliate.networkId'  => 9,
    'affiliate.trackingId' => '5336210971',
    'affiliate.customId'   => '5336210971'
));

$result = $Ebay->getItemsBySeller( 'ebay_seller_name' );

?>

```

### Affiliate the old Way, works, too

```php

<?php

$Ebay = new \PCSG\API\Ebay(array(
    'SECURITY-APPNAME'    => 'APP_NAME',
    'trackingId'          => 9,
    'affiliateUserId'     => '5336210971',
    'trackingPartnercode' => '5336210971'
));

$result = $Ebay->getItemsBySeller( 'ebay_seller_name' );

?>

```
